Bug 126358 - pident user/group not created during install of package
pident user/group not created during install of package
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: pidentd (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
http://people.redhat.com/havill/downl...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-19 23:38 EDT by Chris Hall
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-21 13:04:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Hall 2004-06-19 23:38:16 EDT
Description of problem:

pident.conf file indicates user/group to run as as 'ident', however,
these are never created at package install.

Version-Release number of selected component (if applicable):

3.0.16-4

How reproducible: always

Steps to Reproduce:
1. install pidentd-3.0.16-4
2. start identd
  
Actual results:

'ident' user and 'ident' group not created during install

Expected results:

expect install to create 'ident' user and 'ident' group as these are
specified in the identd.conf file.

Additional info:

from /var/log/messages
Jun 19 22:53:02 core identd[28595]: /etc/identd.conf: 9: invalid user:
ident
Jun 19 22:53:02 core identd[28595]: /etc/identd.conf: 12: invalid
group: ident
Jun 19 22:53:02 core identd: identd startup succeeded
Comment 1 Eido Inoue 2004-06-21 12:03:40 EDT
ident id/group are only necessary if you use the -E (encryption)
option, as pidentd can glean the info on it's own-- and ideally,
pidentd should be launched from xinetd (as user nobody) rather than as
a standalone daemon, so the plan will be to comment out the effective
uid/gid settings and change pidentd over to be a slave of the inetd
super-daemon.
Comment 2 Eido Inoue 2004-06-21 13:04:35 EDT
will be replaced with authd, which doesn't need/use effective uid/gid
as it uses the xinetd super server to set it

Note You need to log in before you can comment on or make changes to this bug.